#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

while true
  puts"ガヤガヤ  ガヤガヤ"
  sleep(1)

  puts"こんにちは"
  sleep(1)

  puts"ここでは初詣の正しい順序について説明します"
  sleep(1)

  puts"わたしと一緒に初詣に行きましょう!!"
  sleep(1)

  puts"---------------------------------------------"
  sleep(1)

  require'curses'
  include Curses

  re = []

  begin
    
    sleep(0)

    system("display -geometry +700+0 jinja2a.png&")

    sleep(3)

    system('pkill magick -U `whoami`')
    
  end

  puts"ここの神社で初詣をしましょう"
  sleep(1)

  while true

    begin
      sleep(0)

      system("display -geometry +700+0 jinja4a.png&")

      sleep(3)

      system('pkill magick -U `whoami`')

    end

    puts"鳥居の前にきました"
    sleep(1)

    puts"1:何もせずくぐる 2:鳥居の前で一礼してくぐる"

    a = gets.to_i

    if a == 2

      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"正解! 次に進みましょう"

      break

    else
      
      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"残念、、 鳥居のまえでは一礼をしましょう"
      sleep(1)

      redo

    end
  end
  

  sleep(1)
  puts"次は手水舎に行きましょう"

  sleep(1)

  begin
    sleep(0)

    system("display -geometry +700+0 jinja3a.png&")

    sleep(3)
    
    system('pkill magick -U `whoami`')

  end
  
  puts"手水舎に来ました"
  sleep(1)

  puts"手水の仕方を確認しましょう"
  sleep(1)

  puts"まず最初に浅く一礼をします"
  sleep(1)

  while true

    puts"1:ひしゃくを右で持つ 2:ひしゃくを左手で持つ"

    b = gets.to_i

    if b == 2

      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"正解! 次に進みましょう"

      break

    else
      
      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"残念、、 ひしゃくは左手で持ちましょう"
      sleep(2)

      redo

    end
  end
  

  puts"ひしゃくの柄を右手で持ち、左手で洗います"
  sleep(1)

  puts"その後ひしゃくを左手に持ち替え、右手を洗いましょう"
  sleep(1)

  puts"もう一度柄を右手で持ち、左手に水をためて、その水で口をすすぎましょう"
  sleep(1)
  
  puts"今一度左手を洗い、ひしゃくを立てて柄を水で流し、ひしゃくをもとに戻します"
  sleep(1)

  puts"ハンカチで口と手をふき、最後に浅く一礼をして手水舎を出ましょう"
  sleep(1)

  while true
    
    puts"手水が終わりました"
    sleep(1)

    puts"1:ご神体の方へ向かう 2:おみくじを買いに行く"
    
    c = gets.to_i
    
    if c == 1

      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"正解! 次に進みましょう"

      break

    else
      
      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"残念、、 おみくじは後で買いましょう…"
      sleep(2)

      redo

    end
  end

  begin
    sleep(0)

    system("display geometry +1300+0 jinja1a.png&")

    sleep(3)

    system('pkill magick -U `whoami`')

  end

  puts"ちなみにご神体とは神が宿るとされている物体のことです"
  sleep(1)

  puts"参道を通って賽銭箱の前まで進みましょう"
  sleep(1)

  begin
    sleep(0)

    system("display geometry +1300+0 jinja0a.png&")

    sleep(3)

    system('pkill magick -U `whoami`')

  end

  puts"賽銭箱の前で会釈して、賽銭箱にお賽銭を入れましょう"
  sleep(1)

  puts"何円入れますか?(数字だけ入れてください)"

  d = gets.to_i

  printf("%d円入れました\n",d)  
  
  puts"チャリーン"
  sleep(1)

  puts"お賽銭を入れたら二拝二拍手一拝の作法で拝礼をします"
  sleep(1)

  puts"拝礼の仕方を確認しましょう"
  sleep(1)

  while true

    puts"深いお辞儀を…"
    
    puts"1:二回繰り返す 2:一回だけ行う"

    e = gets.to_i

    if e == 2

      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"正解! 次に進みましょう"

      break

    else
      
      print","
      sleep(1)
      print","
      sleep(1)
      print","
      sleep(2)
      puts"残念、、 二拝なので二回お辞儀をしましょう"
      sleep(2)

      redo

    end
  end

  puts"両手を胸の高さで合わせ、右手を少し手前に引き、肩幅程度に両手を開いて拍手を二回打ちましょう(二拍手)"
  sleep(1)

  puts"両手をきちんと合わせ、お願い事を祈りましょう"
  sleep(1)

  puts"両手をおろし、深いお辞儀をして終わりです(一拝)"
  sleep(1)
  
  puts"これで初詣の説明を終わります"
  sleep(1)
  
  puts"お疲れ様でした"
  sleep(1)

  puts"もう一度行いますか?"

  puts"1:はい 2:いいえ"

  f = gets.to_i

  if f == 1

    redo

  else

    sleep(1)
    puts"ありがとうございました"

    break

  end
end

while true
  puts"ここからはお正月の豆知識を紹介するよ!"
  sleep(3)

  puts"まず1つ目は..."
  sleep(2)
  puts"お年玉の由来です。"
  sleep(2)
  puts"ここで問題"
  sleep(1)
  puts"この3つのうちでお年玉として渡されていたのはどれでしょう"
  sleep(2)
  puts"1和菓子"
  sleep(1)
  puts"2着物"
  sleep(1)
  puts"3餅"
  dw=gets.to_i
  if dw==1
    puts"残念"
    puts"答えは3番だよ"
  elsif dw==2
    puts"残念"
    puts"答えは3番だよ"
  elsif  dw==3
    puts"正解!!"
    puts"答えは3番の餅だよ"
  end
  sleep(1)
  puts"次はおみくじの起源の問題だよ!!"
  sleep(2)
  puts"今から出る3つの中から選んでね!!"
  puts"1平安時代"
  puts"2奈良時代"
  puts"3安土・桃山時代"
  cw=gets.to_i
  if cw==1
    puts"おめでとう"
    puts"正解だよ!!"
  elsif cw==2
    puts"残念"
    puts"答えは1の平安時代だよ。"
  elsif cw==3
    puts"残念"
    sleep(2)
    puts"答えは1の平安時代だよ"
  end
  sleep(2)
  print"もう一度やりますか?(やるかやらないか)" 
  mouitido=gets.chomp
  if mouitido=="やる"
    redo

  elsif mouitido=="やらない"



    break
    sleep(2)
    puts"ありがとうございました"
  end
end


